Subject: bug#40762: closed (Re: bug#40762: UI screws up Ubuntu 18.04)

From: Robert Pearson <[email-masked]>
Date: Wed, 26 Aug 2020 01:52:46 -0400

Emacs should use ncurses for the text-mode frames, but the default is
> to start a GUI frame, where curses is not relevant at all.
>
> So I don't think I understand the nature of your problems.

The problem is "Emacs should" and "So I don't think I understand the
nature of your problems".

The second is obviously true. The first is the difference between
"Emacs should" and "Emacs does".  If there were no difference there
would be no bugs. Plus Ubuntu is about closing bug reports - not about
actually fixing the bugs. I have "found" at least one bug which is
over 5 years old. The bug reports have been closed. But the bug is
still there!

Robert Pearson

On Wed, Aug 12, 2020 at 9:34 PM GNU bug Tracking System <
[email-masked]> wrote:

> Your bug report
>
> #40762: UI screws up Ubuntu 18.04
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 40762: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40762
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
>
> ---------- Forwarded message ----------
> From: Stefan Kangas <[email-masked]>
> To: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], Robert Pearson <[email-masked]>
> Bcc:
> Date: Wed, 12 Aug 2020 18:33:24 -0700
> Subject: Re: bug#40762: UI screws up Ubuntu 18.04
> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Robert Pearson <[email-masked]>
> >> Date: Wed, 22 Apr 2020 04:01:50 -0400
> >>
> >> No trouble downloading and installing. Then I started emacs and tried
> to go through the tutorial. The User
> >> Interface is so outdated that it screwed up my keyboard for emacs and
> all other programs. The UI makes
> >> emacs useless.
> >
> > Did you start Emacs in text mode?  Otherwise, I cannot understand how
> > could it screw up your keyboard.
> >
> >> (I believe the problem with GNU emacs is curses and could be fixed by
> going to the 21st century for the UI.)
> >
> > Emacs should use ncurses for the text-mode frames, but the default is
> > to start a GUI frame, where curses is not relevant at all.
> >
> > So I don't think I understand the nature of your problems.
>
> More information was requested, but none was given within 16 weeks, so
> I'm closing this bug.  If this is still an issue, please reply to this
> email (use "Reply to all" in your email client) and we can reopen the
> bug report.
>
> Best regards,
> Stefan Kangas
>
>
>
>
> ---------- Forwarded message ----------
> From: Robert Pearson <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Wed, 22 Apr 2020 04:01:50 -0400
> Subject: UI screws up Ubuntu 18.04
> I want to learn Lisp. Most of the responses are the use Emacs with the
> Slime package.
> So installed the latest Gnu Emac. My OS is Ubuntu MATE 18.04 (Later
> versions have broken so much working code that I had to go back to 18.04).
>
> No trouble downloading and installing. Then I started emacs and tried to
> go through the tutorial. The User Interface is so outdated that it screwed
> up my keyboard for emacs and all other programs. The UI makes emacs useless.
>
> Is there a version of emacs that uses Tk/Tcl and actually works on Ubuntu
> MATE 18.04 with an AMD x86 64-bit processor?
>
> I have checked out two commercial products; but not only are they way
> over-priced, but they are 32-bit versions.
>
> (I believe the problem with GNU emacs is curses and could be fixed by
> going to the 21st century for the UI.)
>
> Robert Pearson
>